Learning Paths
Create a Learning Path
This endpoint is used to create a badge template specifically designed for a learning path.
- POST
/api/v1/issuers/organization/badge_templates
Create a Learning path flow
Inactive learning paths cannot be assigned to users
Marked as Public learning paths are displayed at the Public org page
Attach/Detach a Badge template to a Learning Path
This action adds or removes a badge template as a step towards completing the learning path.
- POST
/api/v1/issuers/organization/badge_templates/{template_id}/learning_path/{learning_path_id}
Retrive a list of selectable Badge templates
Retrieves the list of active badge templates that are not yet attached to the indicated Learning path.
- GET
/api/v1/issuers/organization/badge_templates/selectables/{learning_path_id}
Learning Paths listing
Lists all the learning paths created by the organization. This endpoint can be used to retrieve the learning paths along with their status and associated badges.
- GET
/api/v1/issuers/organization/learning_paths
Query Parameters
created_at_after: Retrieve temp lates created after this date, date formatYYYY-MM-DD.created_at_before: Retrieve templates created before this date, date formatYYYY-MM-DD.id: Retrieve by a specific template idtitle: Filter by the titleapplication_scope: Filter by the scopecode: Retrieve by specific badge template code (e.g.,MN224).type: Retrieve by type (knowledge,skills,participation,qualification).description: Filter by description (e.g.,desc).is_learning_path: Retrieves by learning path status (1for true,0for false).status: Filter by status (active,draft,archived).badge_template_version_id: Retrieve by a specific badge template version ID (e.g., a3709939-32b9-4316-a6e3-0f051fdd571a).language: Retrieve by specific language code (it,en).other_org: Filter by organization (e.g.,Sample org).is_published: Retrieves by publish status (1for true,0for false).search: Search across fields liketitle,description,type,type_data.color_primary: Filter by primary color (e.g.,#FFFFF).